Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class ARGBChannel

    java.lang.Object
      org.apache.batik.ext.awt.image.ARGBChannel

All Implemented Interfaces:
  Serializable

    public final class ARGBChannel

extends Object
implements Serializable

Enumerated type for an ARGB Channel selector.

See Also:
  Serialized Form

Field Summary
`static ARGBChannel` | `A`
`static String` | `ALPHA`
`static ARGBChannel` | `B`
`static String` | `BLUE`
`static int` | `CHANNEL_A` Types.
`static int` | `CHANNEL_B`
`static int` | `CHANNEL_G`
`static int` | `CHANNEL_R`
`static ARGBChannel` | `G`
`static String` | `GREEN`
`static ARGBChannel` | `R` Channel values
`static String` | `RED` Strings used to get a more readable output when a value is displayed.

Method Summary
`Object` | `readResolve()` This is called by the serialization code before it returns an unserialized object.
`int` | `toInt()` Convenience for enumeration switching
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANNEL_A

    public static final int CHANNEL_A

  Types.

  See Also:
    Constant Field Values

### CHANNEL_R

    public static final int CHANNEL_R

See Also:
  Constant Field Values

### CHANNEL_G

    public static final int CHANNEL_G

See Also:
  Constant Field Values

### CHANNEL_B

    public static final int CHANNEL_B

See Also:
  Constant Field Values

### RED

    public static final String RED

  Strings used to get a more readable output when a value is displayed.

  See Also:
    Constant Field Values

### GREEN

    public static final String GREEN

See Also:
  Constant Field Values

### BLUE

    public static final String BLUE

See Also:
  Constant Field Values

### ALPHA

    public static final String ALPHA

See Also:
  Constant Field Values

### R

    public static final ARGBChannel R

  Channel values

### G

    public static final ARGBChannel G

### B

    public static final ARGBChannel B

### A

    public static final ARGBChannel A

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    description

### toInt

    public int toInt()

  Convenience for enumeration switching

  Returns:
    value

### readResolve

    public Object readResolve()

  This is called by the serialization code before it returns an unserialized object. To provide for unicity of instances, the instance that was read is replaced by its static equivalent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.